Skip to main content
POST
Complete questionnaire

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

questionnaireId
string
required

Body

application/json

Request body for completing a questionnaire.

shouldSyncApprovedToAnswerLibrary
boolean

Whether to sync approved answers to the answer library. Defaults to true. Ignored for non-English SPREADSHEET/DOCUMENT questionnaires.

Response

200 - application/json

Ok

id
string
required
displayName
string
required
type
enum<string>
required
Available options:
SPREADSHEET,
WEBSITE,
DOCUMENT
status
enum<string>
required
Available options:
APPROVED,
IN_PROGRESS,
IN_REVIEW,
READY_FOR_REVIEW,
WAITING_ON_ANSWERS,
ON_HOLD,
NO_LONGER_NEEDED,
COMPLETE,
ERROR,
EXTRACTING_QUESTIONS,
QUEUED_FOR_EXTRACTION,
PROCESSING,
QUEUED_FOR_PROCESSING,
WAITING_ON_COLUMN_SELECTION,
WAITING_ON_COLUMN_APPROVAL,
QUEUED_FOR_COLUMN_DETECTION,
DETECTING_COLUMNS
statusLog
object[]
required

The status change history log for the questionnaire. Entries are ordered by the most recent status change first.

tagAndCategoryIds
object[]
required

Tags assigned to this questionnaire. Each entry contains a categoryId and tagId.

createdDate
string<date-time>
required
updatedDate
string<date-time>
required
url
string
ownerAssignment
object

The owner assignment in actor form (User or Team).

approverAssignment
object

The approver assignment in actor form (User or Team).

customerTrustAccountId
string
dueDate
string<date-time>
metadata
object[]
completedDate
string<date-time>